petsc-3.10.5 2019-03-28
Report Typos and Errors

# PetscDualSpaceGetNumComponents

Return the number of components for this space

### Synopsis

    #include "petscfe.h"
    PetscErrorCode PetscDualSpaceGetNumComponents(PetscDualSpace sp, PetscInt *Nc)

### Input Parameter

sp -The PetscDualSpace

### Output Parameter

Nc -The number of components

Note: A vector space, for example, will have d components, where d is the spatial dimension

### See Also

PetscDualSpaceSetNumComponents(), PetscDualSpaceGetDimension(), PetscDualSpaceCreate(), PetscDualSpace

### Level

intermediate

### Location

src/dm/dt/dualspace/interface/dualspace.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages